Vue Bootstrap Buttons Group

Vue Buttons Group - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Group a series of buttons together on a single line with the button group.

Examples of Bootstrap button group use:

  • Group of pricing options
  • Group of licenses you can see on our MDB Pro page

See the following button groups examples:


Basic example

Wrap a series of buttons using role="group" with .btn-group class.
        
            
        <template>
          <mdb-btn-group>
            <mdb-btn color="primary">Left</mdb-btn>
            <mdb-btn color="primary">Middle</mdb-btn>
            <mdb-btn color="primary">Right</mdb-btn>
          </mdb-btn-group>
        </template>
      
        
    
        
            
        <script>
          import { mdbBtn, mdbBtnGroup } from 'mdbvue';
          export default {
            name: 'ButtonsGroup',
            components: {
              mdbBtn,
              mdbBtnGroup
            }
          }
        </script>
    
        
    

Ensure correct role and provide a label

In order for assistive technologies (such as screen readers) to convey that a series of buttons is grouped, an appropriate role attribute needs to be provided. For button groups, this would be role="group", while toolbars should have a role="toolbar".

In addition, groups and toolbars should be given an explicit label, as most assistive technologies will otherwise not announce them, despite the presence of the correct role attribute. In the examples provided here, we use aria-label, but alternatives such as aria-labelledby can also be used.


Button toolbar

Combine sets of button groups into button toolbars for more complex components. Use utility classes as needed to space out groups, buttons, and more.

        
            
        <template>
          <mdb-btn-toolbar>
            <mdb-btn-group class="mr-2">
              <mdb-btn>1</mdb-btn>
              <mdb-btn>2</mdb-btn>
              <mdb-btn>3</mdb-btn>
              <mdb-btn>4</mdb-btn>
            </mdb-btn-group>
            <mdb-btn-group class="mr-2">
              <mdb-btn>5</mdb-btn>
              <mdb-btn>6</mdb-btn>
              <mdb-btn>7</mdb-btn>
            </mdb-btn-group>
            <mdb-btn-group>
              <mdb-btn>8</mdb-btn>
            </mdb-btn-group>
          </mdb-btn-toolbar>
        </template>
      
        
    
        
            
        <script>
          import { mdbBtn, mdbBtnGroup, mdbBtnToolbar } from 'mdbvue';
          export default {
            name: 'ButtonsGroup',
            components: {
              mdbBtn,
              mdbBtnGroup,
              mdbBtnToolbar
            }
          }
        </script>
    
        
    

Sizing

Instead of applying button sizing classes to every button in a group, just add .btn-group-* to each .btn-group, including each one when nesting multiple groups.

        
            
        <template>
          <div>
            <mdb-btn-group size="lg">
              <mdb-btn color="unique" size="lg">Left</mdb-btn>
              <mdb-btn color="unique" size="lg">Middle</mdb-btn>
              <mdb-btn color="unique" size="lg">Right</mdb-btn>
            </mdb-btn-group>
            <br><br>
            <mdb-btn-group>
              <mdb-btn color="unique">Left</mdb-btn>
              <mdb-btn color="unique">Middle</mdb-btn>
              <mdb-btn color="unique">Right</mdb-btn>
            </mdb-btn-group>
            <br><br>
            <mdb-btn-group size="sm">
              <mdb-btn color="unique" size="sm">Left</mdb-btn>
              <mdb-btn color="unique" size="sm">Middle</mdb-btn>
              <mdb-btn color="unique" size="sm">Right</mdb-btn>
            </mdb-btn-group>
          </div>
        </template>
      
        
    
        
            
        <script>
          import { mdbBtn, mdbBtnGroup } from 'mdbvue';
          export default {
            name: 'ButtonsGroup',
            components: {
              mdbBtn,
              mdbBtnGroup
            }
          }
        </script>
      
        
    
        
            
        <style>
          .btn-group-lg .btn, .btn-group-sm .btn {
            border-radius: 2px;
          }
        </style>
    
        
    

Nesting

Place a .btn-group within another .btn-group when you want dropdown menus mixed with a series of buttons.

        
            
        <template>
          <mdb-btn-group>
            <mdb-btn color="info">1</mdb-btn>
            <mdb-btn color="info">2</mdb-btn>
            <mdb-btn-group>
              <mdb-dropdown>
                <mdb-dropdown-toggle color="info" slot="toggle">Dropdown</mdb-dropdown-toggle>
                <mdb-dropdown-menu color="info">
                  <mdb-dropdown-item>Dropdown link</mdb-dropdown-item>
                  <mdb-dropdown-item>Dropdown link</mdb-dropdown-item>
                </mdb-dropdown-menu>
              </mdb-dropdown>
            </mdb-btn-group>
          </mdb-btn-group>
        </template>
      
        
    
        
            
        <script>
          import { mdbBtn, mdbBtnGroup, mdbDropdown, mdbDropdownItem, mdbDropdownMenu, mdbDropdownToggle } from 'mdbvue';
          export default {
            name: 'ButtonsGroup',
            components: {
              mdbBtn,
              mdbBtnGroup,
              mdbDropdown,
              mdbDropdownItem,
              mdbDropdownMenu,
              mdbDropdownToggle
            }
          }
        </script>
    
        
    

Vertical variation

Make a set of buttons appear vertically stacked rather than horizontally. Split button dropdowns are not supported here.

        
            
        <template>
          <div>
            <mdb-btn-group vertical>
              <mdb-btn color="amber" class="mb-0">Button</mdb-btn>
              <mdb-btn color="amber" class="mb-0">Button</mdb-btn>
              <mdb-btn color="amber" class="mb-0">Button</mdb-btn>
              <mdb-btn color="amber" class="mb-0">Button</mdb-btn>
              <mdb-btn color="amber" class="mb-0">Button</mdb-btn>
              <mdb-btn color="amber">Button</mdb-btn>
            </mdb-btn-group>
            <mdb-btn-group vertical class="ml-5">
              <mdb-btn color="indigo" class="ml-0 mb-0">Button</mdb-btn>
              <mdb-btn color="indigo" class="ml-0 mb-0">Button</mdb-btn>
              <mdb-btn-group>
                <mdb-dropdown>
                  <mdb-dropdown-toggle color="indigo" slot="toggle">Dropdown</mdb-dropdown-toggle>
                  <mdb-dropdown-menu color="indigo">
                    <mdb-dropdown-item>Dropdown link</mdb-dropdown-item>
                    <mdb-dropdown-item>Dropdown link</mdb-dropdown-item>
                  </mdb-dropdown-menu>
                </mdb-dropdown>
              </mdb-btn-group>
              <mdb-btn-group>
                <mdb-dropdown>
                  <mdb-dropdown-toggle color="indigo" slot="toggle">Dropdown</mdb-dropdown-toggle>
                  <mdb-dropdown-menu color="indigo">
                    <mdb-dropdown-item>Dropdown link</mdb-dropdown-item>
                    <mdb-dropdown-item>Dropdown link</mdb-dropdown-item>
                  </mdb-dropdown-menu>
                </mdb-dropdown>
              </mdb-btn-group>
              <mdb-btn color="indigo" class="ml-0 mb-0">Button</mdb-btn>
              <mdb-btn color="indigo" class="ml-0">Button</mdb-btn>
            </mdb-btn-group>
          </div>
        </template>
      
        
    
        
            
        <script>
          import { mdbBtn, mdbBtnGroup, mdbDropdown, mdbDropdownItem, mdbDropdownMenu, mdbDropdownToggle } from 'mdbvue';
          export default {
            name: 'ButtonsGroup',
            components: {
              mdbBtn,
              mdbBtnGroup,
              mdbDropdown,
              mdbDropdownItem,
              mdbDropdownMenu,
              mdbDropdownToggle
            }
          }
        </script>
    
        
    

Checkbox and radio button group MDB Pro component

Group the button to the checkboxes using the following code:.

        
            
        <template>
          <mdb-container>
            <mdb-btn-group>
              <mdb-btn color="mdb-color" @click.native="toggleActiveState2" :active="active2">Pre-checked</mdb-btn>
              <mdb-btn color="mdb-color" @click.native="toggleActiveState3" :active="active3">Check</mdb-btn>
              <mdb-btn color="mdb-color" @click.native="toggleActiveState4" :active="active4">Check</mdb-btn>
            </mdb-btn-group>
            <br><br>
            <mdb-btn-group>
              <mdb-btn color="light-blue" @click.native="toggleActiveState5" :active="active5">Preselected</mdb-btn>
              <mdb-btn color="light-blue" @click.native="toggleActiveState6" :active="active6">Radio</mdb-btn>
              <mdb-btn color="light-blue" @click.native="toggleActiveState7" :active="active7">Radio</mdb-btn>
            </mdb-btn-group>
          </mdb-container>
        </template>
      
        
    
        
            
        <script>
          import { mdbBtn, mdbBtnGroup, mdbContainer } from 'mdbvue';
          export default {
            name: 'ButtonsGroupProPage',
            components: {
              mdbBtn,
              mdbBtnGroup,
              mdbContainer,
            },
            data() {
              return {
                active: false,
                active2: true,
                active3: false,
                active4: false,
                active5: true,
                active6: false,
                active7: false
              };
            },
            methods: {
              toggleActiveState() {
                this.active = !this.active;
              },
              toggleActiveState2() {
                this.active2 = !this.active2;
              },
              toggleActiveState3() {
                this.active3 = !this.active3;
              },
              toggleActiveState4() {
                this.active4 = !this.active4;
              },
              toggleActiveState5() {
                this.active5 = true;
                this.active6 = false;
                this.active7 = false;
              },
              toggleActiveState6() {
                this.active5 = false;
                this.active6 = true;
                this.active7 = false;
              },
              toggleActiveState7() {
                this.active5 = false;
                this.active6 = false;
                this.active7 = true;
              }
            }
          }
        </script>
    
        
    

Rounded button group MDB Pro component

Use the .btn-rounded class on radio buttons to get rounded edges.

        
            
        <template>
          <div>
            <mdb-btn-group>
              <mdb-btn color="pink" rounded>Left</mdb-btn>
              <mdb-btn color="pink" rounded>Middle</mdb-btn>
              <mdb-btn color="pink" rounded>Right</mdb-btn>
            </mdb-btn-group>
            <br><br>
            <mdb-btn-group>
              <mdb-btn gradient="purple" rounded>Left</mdb-btn>
              <mdb-btn gradient="purple" rounded>Middle</mdb-btn>
              <mdb-btn gradient="purple" rounded>Right</mdb-btn>
            </mdb-btn-group>
            <br><br>
            <mdb-btn-group>
              <mdb-btn color="purple" icon="star" iconClass="fa-sm" rounded>Left</mdb-btn>
              <mdb-btn color="purple" icon="heart" iconClass="fa-sm" rounded>Middle</mdb-btn>
              <mdb-btn color="purple" icon="user" iconClass="fa-sm" rounded>Right</mdb-btn>
            </mdb-btn-group>
            <br><br>
            <mdb-btn-group>
              <mdb-btn outline="deep-purple" icon="star" iconClass="fa-sm" rounded>Left</mdb-btn>
              <mdb-btn outline="deep-purple" icon="heart" iconClass="fa-sm" rounded>Middle</mdb-btn>
              <mdb-btn outline="deep-purple" icon="user" iconClass="fa-sm" rounded>Right</mdb-btn>
            </mdb-btn-group>
          </div>
        </template>
      
        
    
        
            
        <script>
          import { mdbBtn, mdbBtnGroup } from 'mdbvue';
          export default {
            name: 'ButtonsGroup',
            components: {
              mdbBtn,
              mdbBtnGroup     
            }
          }
        </script>
      
        
    
        
            
        <style scoped>
          .btn .fas.fa-sm {
            font-size: 1rem;
            margin-top: -5px;
          }
        </style>
    
        
    

Additional button group

Additional examples of button groups with gradient, icons or shadow.

        
            
        <template>
          <div>
            <mdb-btn-group>
              <mdb-btn color="cyan">Left</mdb-btn>
              <mdb-btn color="cyan">Middle</mdb-btn>
              <mdb-btn color="cyan">Right</mdb-btn>
            </mdb-btn-group>
            <br><br>
            <mdb-btn-group>
              <mdb-btn gradient="aqua">Left</mdb-btn>
              <mdb-btn gradient="aqua">Middle</mdb-btn>
              <mdb-btn gradient="aqua">Right</mdb-btn>
            </mdb-btn-group>
            <br><br>
            <mdb-btn-group>
              <mdb-btn color="indigo" fab icon="instagram" iconClass="fa-sm">Left</mdb-btn>
              <mdb-btn color="indigo" fab icon="twitter" iconClass="fa-sm">Middle</mdb-btn>
              <mdb-btn color="indigo" fab icon="snapchat-ghost" iconClass="fa-sm">Right</mdb-btn>
            </mdb-btn-group>
            <br><br>
            <mdb-btn-group>
              <mdb-btn outline="mdb-color" darkWaves fab icon="instagram" iconClass="fa-sm">Left</mdb-btn>
              <mdb-btn outline="mdb-color" darkWaves fab icon="twitter" iconClass="fa-sm">Middle</mdb-btn>
              <mdb-btn outline="mdb-color" darkWaves fab icon="snapchat-ghost" iconClass="fa-sm">Right</mdb-btn>
            </mdb-btn-group>
          </div>
        </template>
      
        
    
        
            
          <script>
            import { mdbBtn, mdbBtnGroup } from 'mdbvue';
            export default {
              name: 'ButtonsGroup',
              components: {
                mdbBtn,
                mdbBtnGroup
              }
            }
          </script>
        
        
    
        
            
        <style scoped>
          .btn .fas.fa-sm {
            font-size: 1rem;
            margin-top: -5px;
          }
        </style>
    
        
    

Multicolored button group

Use different colors in buttons group.

        
            
        <template>
          <div>
            <mdb-btn-group>
              <mdb-btn color="primary" size="lg">Left</mdb-btn>
              <mdb-btn color="warning" size="lg">Middle</mdb-btn>
              <mdb-btn color="danger" size="lg">Right</mdb-btn>
            </mdb-btn-group>
            <br><br>
            <mdb-btn-group>
              <mdb-btn color="primary">Left</mdb-btn>
              <mdb-btn color="warning">Middle</mdb-btn>
              <mdb-btn color="danger">Right</mdb-btn>
            </mdb-btn-group>
            <br><br>
            <mdb-btn-group>
              <mdb-btn color="primary" size="sm">Left</mdb-btn>
              <mdb-btn color="warning" size="sm">Middle</mdb-btn>
              <mdb-btn color="danger" size="sm">Right</mdb-btn>
            </mdb-btn-group>
            <br><br>
            <mdb-btn-group vertical>
              <mdb-btn color="primary" class="mb-0">Button</mdb-btn>
              <mdb-btn color="pink" class="mb-0">Button</mdb-btn>
              <mdb-btn color="success" class="mb-0">Button</mdb-btn>
              <mdb-btn color="warning" class="mb-0">Button</mdb-btn>
              <mdb-btn color="danger" class="mb-0">Button</mdb-btn>
            </mdb-btn-group>
            <br><br>
            <mdb-btn-toolbar>
              <mdb-btn-group class="mr-2">
                <mdb-btn color="mdb-color lighten-2">1</mdb-btn>
                <mdb-btn color="indigo lighten-2">2</mdb-btn>
                <mdb-btn color="blue lighten-2">3</mdb-btn>
                <mdb-btn color="light-blue lighten-2">4</mdb-btn>
                <mdb-btn color="cyan lighten-2">5</mdb-btn>
              </mdb-btn-group>
            </mdb-btn-toolbar>
            <br>
            <mdb-btn-toolbar>
              <mdb-btn-group class="mr-2">
                <mdb-btn color="mdb-color lighten-2" icon="star" />
                <mdb-btn color="indigo lighten-2" icon="heart" />
                <mdb-btn color="blue lighten-2" icon="user" />
                <mdb-btn color="light-blue lighten-2" fab icon="twitter" />
              </mdb-btn-group>
            </mdb-btn-toolbar>
          </div>
        </template>
      
        
    
        
            
        <script>
          import { mdbBtn, mdbBtnGroup, mdbBtnToolbar } from 'mdbvue';
          export default {
            name: 'ButtonsGroup',
            components: {
              mdbBtn,
              mdbBtnGroup,
              mdbBtnToolbar
            }
          }
        </script>
    
        
    

Vue Buttons Group - API

In this section you will find advanced information about the Buttons Group component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
      <script>
        import { mdbBtn, mdbBtnGroup, mdbBtnToolbar } from 'mdbvue';
      </script>
    
        
    

API Reference: Properties

Name Type Default Description Example
tag String 'button' Changes component's tag <mdb-btn-group tag="a">
size String '' Changes component's size <mdb-btn-group size="lg">
vertical Boolean Changes component flex direction <mdb-btn-group vertical>

Angular Bootstrap button group

Angular Button Group - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Angular Bootstrap button groups are buttons grouped together in a single line with no space between them. They can be grouped both vertically and horizontally.

This solution allows you to put a number of options the users can choose from.

Examples of Angular Bootstrap button group use:

  • Group of pricing options
  • Group of licenses you can see on our MDB Pro page

See the following button groups examples:


Basic example

        
            
          <div class="btn-group" role="group" aria-label="Basic example">
            <button mdbBtn type="button" color="primary" class="waves-light" mdbWavesEffect>
              Left
            </button>
            <button mdbBtn type="button" color="primary" class="waves-light" mdbWavesEffect>
              Middle
            </button>
            <button mdbBtn type="button" color="primary" class="waves-light" mdbWavesEffect>
              Right
            </button>
          </div>
        
        
    

Button toolbar

        
            
          <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
            <div class="btn-group mr-2" role="group" aria-label="First group">
              <button mdbBtn type="button" color="default" class="waves-light" mdbWavesEffect>
                1
              </button>
              <button mdbBtn type="button" color="default" class="waves-light" mdbWavesEffect>
                2
              </button>
              <button mdbBtn type="button" color="default" class="waves-light" mdbWavesEffect>
                3
              </button>
              <button mdbBtn type="button" color="default" class="waves-light" mdbWavesEffect>
                4
              </button>
            </div>
            <div class="btn-group mr-2" role="group" aria-label="Second group">
              <button mdbBtn type="button" color="default" class="waves-light" mdbWavesEffect>
                5
              </button>
              <button mdbBtn type="button" color="default" class="waves-light" mdbWavesEffect>
                6
              </button>
              <button mdbBtn type="button" color="default" class="waves-light" mdbWavesEffect>
                7
              </button>
            </div>
            <div class="btn-group" role="group" aria-label="Third group">
              <button mdbBtn type="button" color="default" class="waves-light" mdbWavesEffect>
                8
              </button>
            </div>
          </div>
        
        
    

Button group sizing

        
            
          <div class="btn-group btn-group-lg" role="group" aria-label="Basic example">
            <button mdbBtn type="button" color="unique" size="lg" class="waves-light" mdbWavesEffect>
              Left
            </button>
            <button mdbBtn type="button" color="unique" size="lg" class="waves-light" mdbWavesEffect>
              Middle
            </button>
            <button mdbBtn type="button" color="unique" size="lg" class="waves-light" mdbWavesEffect>
              Right
            </button>
          </div>
          <div class="btn-group" role="group" aria-label="Basic example">
            <button mdbBtn type="button" color="unique" class="waves-light" mdbWavesEffect>
              Left
            </button>
            <button mdbBtn type="button" color="unique" class="waves-light" mdbWavesEffect>
              Middle
            </button>
            <button mdbBtn type="button" color="unique" class="waves-light" mdbWavesEffect>
              Right
            </button>
          </div>
          <div class="btn-group btn-group-sm" role="group" aria-label="Basic example">
            <button mdbBtn type="button" color="unique" size="sm" class="waves-light" mdbWavesEffect>
              Left
            </button>
            <button mdbBtn type="button" color="unique" size="sm" class="waves-light" mdbWavesEffect>
              Middle
            </button>
            <button mdbBtn type="button" color="unique" size="sm" class="waves-light" mdbWavesEffect>
              Right
            </button>
          </div>
        
        
    

Button group nesting

        
            
          <div class="btn-group" role="group" aria-label="Button group with nested dropdown">
            <button mdbBtn type="button" color="info" class="waves-light" mdbWavesEffect>1</button>
            <button mdbBtn type="button" color="info" class="waves-light" mdbWavesEffect>2</button>

            <div class="btn-group" mdbDropdown>
              <button
                mdbDropdownToggle
                type="button"
                mdbBtn
                color="info"
                class="dropdown-toggle waves-light"
                mdbWavesEffect
              >
                Dropdown
              </button>

              <div class="dropdown-menu dropdown-primary">
                <a class="dropdown-item" href="#">Dropdown link</a>
                <a class="dropdown-item" href="#">Dropdown link</a>
              </div>
            </div>
          </div>
        
        
    

Button group vertical variation

        
            
          <div class="btn-group-vertical" role="group" aria-label="Vertical button group">
            <button mdbBtn type="button" color="amber" class="waves-light ml-0" mdbWavesEffect>
              Button
            </button>
            <button mdbBtn type="button" color="amber" class="waves-light" mdbWavesEffect>
              Button
            </button>
            <button mdbBtn type="button" color="amber" class="waves-light" mdbWavesEffect>
              Button
            </button>
            <button mdbBtn type="button" color="amber" class="waves-light" mdbWavesEffect>
              Button
            </button>
            <button mdbBtn type="button" color="amber" class="waves-light" mdbWavesEffect>
              Button
            </button>
            <button mdbBtn type="button" color="amber" class="waves-light" mdbWavesEffect>
              Button
            </button>
          </div>
          <div class="btn-group-vertical" role="group" aria-label="Vertical button group">
            <button mdbBtn type="button" color="indigo" class="waves-light ml-0" mdbWavesEffect>
              Button
            </button>
            <button mdbBtn type="button" color="indigo" class="waves-light" mdbWavesEffect>
              Button
            </button>
            <div class="btn-group" mdbDropdown>
              <button mdbDropdownToggle type="button" mdbBtn color="indigo" class="dropdown-toggle waves-light" mdbWavesEffect>
                Dropdown
              </button>

              <div class="dropdown-menu dropdown-primary">
                <a class="dropdown-item" href="#">Dropdown link</a>
                <a class="dropdown-item" href="#">Dropdown link</a>
              </div>
            </div>
            <button mdbBtn type="button" color="indigo" class="waves-light" mdbWavesEffect>
              Button
            </button>
            <button mdbBtn type="button" color="indigo" class="waves-light" mdbWavesEffect>
              Button
            </button>
            <div class="btn-group" mdbDropdown>
              <button mdbDropdownToggle type="button" mdbBtn color="indigo" class="dropdown-toggle waves-light" mdbWavesEffect>
                Dropdown
              </button>

              <div class="dropdown-menu dropdown-primary">
                <a class="dropdown-item" href="#">Dropdown link</a>
                <a class="dropdown-item" href="#">Dropdown link</a>
              </div>
            </div>
            <div class="btn-group" mdbDropdown>
              <button mdbDropdownToggle type="button" mdbBtn color="indigo" class="dropdown-toggle waves-light" mdbWavesEffect>
                Dropdown
              </button>

              <div class="dropdown-menu dropdown-primary">
                <a class="dropdown-item" href="#">Dropdown link</a>
                <a class="dropdown-item" href="#">Dropdown link</a>
              </div>
            </div>
            <div class="btn-group" mdbDropdown>
              <button mdbDropdownToggle type="button" mdbBtn color="indigo" class="dropdown-toggle waves-light" mdbWavesEffect>
                Dropdown
              </button>

              <div class="dropdown-menu dropdown-primary">
                <a class="dropdown-item" href="#">Dropdown link</a>
                <a class="dropdown-item" href="#">Dropdown link</a>
              </div>
            </div>
          </div>
        
        
    

Angular Button Group - API

In this section you will find informations about button group and its required modules and available inputs, outputs, methods and events.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
          import { ButtonsModule, WavesModule } from 'ng-uikit-pro-standard'
        
        
    
        
            
          import { ButtonsModule, WavesModule } from 'angular-bootstrap-md'
        
        
    

Angular Button Group - examples & customization


Checkbox and radio button group MDB Pro component

        
            
          <div class="btn-group">
            <label mdbBtn color="mdb-color" [(ngModel)]="checkModel.left" mdbCheckbox mdbWavesEffect>
              Pre-checked
            </label>
            <label mdbBtn color="mdb-color" [(ngModel)]="checkModel.middle" mdbCheckbox mdbWavesEffect>
              Check
            </label>
            <label mdbBtn color="mdb-color" [(ngModel)]="checkModel.right" mdbCheckbox mdbWavesEffect>
              Check
            </label>
          </div>

          <div class="btn-group">
            <label mdbBtn color="light-blue" [(ngModel)]="radioModel" mdbRadio="Left" mdbWavesEffect>
              Preselected
            </label>
            <label mdbBtn color="light-blue" [(ngModel)]="radioModel" mdbRadio="Middle" mdbWavesEffect>
              Radio
            </label>
            <label mdbBtn color="light-blue" [(ngModel)]="radioModel" mdbRadio="Right" mdbWavesEffect>
              Radio
            </label>
          </div>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'checkbox-radio-group',
            templateUrl: './checkbox-radio-group.component.html',
          })
          export class CheckboxRadioGroup {
            public checkModel = { left: true, middle: false, right: false };
            public radioModel = 'Left';
          }
        
        
    

Rounded button group MDB Pro component

        
            
          <div class="btn-group" role="group" aria-label="Basic example">
            <button mdbBtn type="button" color="pink" rounded="true" class="waves-light" mdbWavesEffect>
              Left
            </button>
            <button mdbBtn type="button" color="pink" rounded="true" class="waves-light" mdbWavesEffect>
              Middle
            </button>
            <button mdbBtn type="button" color="pink" rounded="true" class="waves-light" mdbWavesEffect>
              Right
            </button>
          </div>

          <div class="btn-group" role="group" aria-label="Basic example">
            <button mdbBtn type="button" gradient="purple" rounded="true" class="waves-light" mdbWavesEffect>
              Left
            </button>
            <button mdbBtn type="button" gradient="purple" rounded="true" class="waves-light" mdbWavesEffect>
              Middle
            </button>
            <button mdbBtn type="button" gradient="purple" rounded="true" class="waves-light" mdbWavesEffect>
              Right
            </button>
          </div>

          <div class="btn-group" role="group" aria-label="Basic example">
            <button mdbBtn type="button" color="purple" rounded="true" class="waves-light" mdbWavesEffect>
              <mdb-icon fas icon="star" class="mr-1"></mdb-icon>Left
            </button>
            <button mdbBtn type="button" color="purple" rounded="true" class="waves-light" mdbWavesEffect>
              <mdb-icon fas icon="heart" class="mr-1"></mdb-icon>Middle
            </button>
            <button mdbBtn type="button" color="purple" rounded="true" class="waves-light" mdbWavesEffect>
              <mdb-icon fas icon="user" class="mr-1"></mdb-icon>Right
            </button>
          </div>

          <div class="btn-group" role="group" aria-label="Basic example">
            <button mdbBtn type="button" color="deep-purple" rounded="true" outline="true" class="waves-light" mdbWavesEffect>
              <mdb-icon fas icon="anchor" class="mr-1"></mdb-icon>Left
            </button>
            <button mdbBtn type="button" color="deep-purple" rounded="true" outline="true" class="waves-light" mdbWavesEffect>
              <mdb-icon far icon="sun" class="mr-1"></mdb-icon>Middle
            </button>
            <button mdbBtn type="button" color="deep-purple" rounded="true" outline="true" class="waves-light" mdbWavesEffect>
              <mdb-icon fas icon="user" class="mr-1"></mdb-icon>Right
            </button>
          </div>
        
        
    

Additional button group MDB Pro component

        
            
          <div class="btn-group" role="group" aria-label="Basic example">
            <button mdbBtn type="button" color="cyan" class="waves-light" mdbWavesEffect>Left</button>
            <button mdbBtn type="button" color="cyan" class="waves-light" mdbWavesEffect>Middle</button>
            <button mdbBtn type="button" color="cyan" class="waves-light" mdbWavesEffect>Right</button>
          </div>

          <div class="btn-group" role="group" aria-label="Basic example">
            <button mdbBtn type="button" gradient="aqua" class="waves-light" mdbWavesEffect>Left</button>
            <button mdbBtn type="button" gradient="aqua" class="waves-light" mdbWavesEffect>Middle</button>
            <button mdbBtn type="button" gradient="aqua" class="waves-light" mdbWavesEffect>Right</button>
          </div>

          <div class="btn-group" role="group" aria-label="Basic example">
            <button mdbBtn type="button" color="indigo" class="waves-light" mdbWavesEffect>
              <mdb-icon fab icon="instagram" class="mr-1"></mdb-icon>Left
            </button>
            <button mdbBtn type="button" color="indigo" class="waves-light" mdbWavesEffect>
              <mdb-icon fab icon="twitter" class="mr-1"></mdb-icon>Middle
            </button>
            <button mdbBtn type="button" color="indigo" class="waves-light" mdbWavesEffect>
              <mdb-icon fab icon="snapchat-ghost" class="mr-1"></mdb-icon>Right
            </button>
          </div>

          <div class="btn-group" role="group" aria-label="Basic example">
            <button mdbBtn type="button" color="mdb-color" outline="true" class="waves-light" mdbWavesEffect>
              <mdb-icon fas icon="car" class="mr-1"></mdb-icon>Left
            </button>
            <button mdbBtn type="button" color="mdb-color" outline="true" class="waves-light" mdbWavesEffect>
              <mdb-icon icon="plane" class="mr-1"></mdb-icon>Middle
            </button>
            <button mdbBtn type="button" color="mdb-color" outline="true" class="waves-light" mdbWavesEffect>
              <mdb-icon fas icon="train" class="mr-1"></mdb-icon>Right
            </button>
          </div>
        
        
    

Multicolored button group

        
            
          <div class="btn-group btn-group-lg" role="group" aria-label="Basic example">
            <button mdbBtn type="button" color="primary" size="lg" class="waves-light" mdbWavesEffect>Left</button>
            <button mdbBtn type="button" color="warning" size="lg" class="waves-light" mdbWavesEffect>Middle</button>
            <button mdbBtn type="button" color="danger" size="lg" class="waves-light" mdbWavesEffect>Right</button>
          </div>

          <div class="btn-group" role="group" aria-label="Basic example">
            <button mdbBtn type="button" color="primary" class="waves-light" mdbWavesEffect>Left</button>
            <button mdbBtn type="button" color="warning" class="waves-light" mdbWavesEffect>Middle</button>
            <button mdbBtn type="button" color="danger" class="waves-light" mdbWavesEffect>Right</button>
          </div>

          <div class="btn-group btn-group-sm" role="group" aria-label="Basic example">
            <button mdbBtn type="button" color="primary" size="sm" class="waves-light" mdbWavesEffect>Left</button>
            <button mdbBtn type="button" color="warning" size="sm" class="waves-light" mdbWavesEffect>Middle</button>
            <button mdbBtn type="button" color="danger" size="sm" class="waves-light" mdbWavesEffect>Right</button>
          </div>

          <div class="btn-group-vertical" role="group" aria-label="Vertical button group">
            <button mdbBtn type="button" color="primary" class="waves-light ml-0" mdbWavesEffect>Button</button>
            <button mdbBtn type="button" color="pink" class="waves-light" mdbWavesEffect>Button</button>
            <button mdbBtn type="button" color="success" class="waves-light" mdbWavesEffect>Button</button>
            <button mdbBtn type="button" color="amber" class="waves-light" mdbWavesEffect>Button</button>
            <button mdbBtn type="button" color="red" class="waves-light" mdbWavesEffect>Button</button>
          </div>

          <div class="btn-toolbar mb-4" role="toolbar" aria-label="Toolbar with button groups">
            <div class="btn-group mr-2" role="group" aria-label="First group">
              <button mdbBtn type="button" color="mdb-color" class="waves-light" mdbWavesEffect>1</button>
              <button mdbBtn type="button" color="indigo" class="waves-light" mdbWavesEffect>2</button>
              <button mdbBtn type="button" color="blue" class="waves-light" mdbWavesEffect>3</button>
              <button mdbBtn type="button" color="light-blue" class="waves-light" mdbWavesEffect>4</button>
              <button mdbBtn type="button" color="cyan" class="waves-light" mdbWavesEffect>5</button>
            </div>
          </div>

          <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
            <div class="btn-group mr-2" role="group" aria-label="First group">
              <button mdbBtn type="button" color="indigo" class="waves-light" mdbWavesEffect><mdb-icon fas icon="star"></mdb-icon></button>
              <button mdbBtn type="button" color="blue" class="waves-light" mdbWavesEffect><mdb-icon fas icon="heart"></mdb-icon></button>
              <button mdbBtn type="button" color="light-blue" class="waves-light" mdbWavesEffect><mdb-icon fas icon="user"></mdb-icon></button>
              <button mdbBtn type="button" color="cyan" class="waves-light" mdbWavesEffect><mdb-icon fab icon="twitter"></mdb-icon></button>
            </div>
          </div>

React Bootstrap Button group

React Button group - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap buttons are components which are triggering a desirable user interaction. Easy to customize in terms of size, shape, and color.

Examples of Bootstrap button group use:

  • Group of pricing options
  • Group of licenses you can see on our MDB Pro page

See the following button groups examples:


Basic example

Wrap a series of buttons with <MDBBtnGroup>.

        
            
        import React from "react";
        import { 
          MDBBtn, 
          MDBBtnGroup, 
          MDBDropdown, 
          MDBDropdownToggle, 
          MDBDropdownMenu, 
          MDBDropdownItem 
        } from "mdbreact";

        const BtnGroupPage = () => {
          return (
            <MDBBtnGroup>
              <MDBBtn color="info" size="lg">1</MDBBtn>
              <MDBBtn color="info" size="lg">2</MDBBtn>
              <MDBBtnGroup>
                <MDBDropdown>
                  <MDBDropdownToggle caret color="info" className="h-100">
                    Dropdown
                  </MDBDropdownToggle>
                  <MDBDropdownMenu basic color="info">
                    <MDBDropdownItem>Dropdown link</MDBDropdownItem>
                    <MDBDropdownItem>Dropdown link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
              </MDBBtnGroup>
            </MDBBtnGroup>
          )
        }

        export default BtnGroupPage;
        
        
    

Button toolbar

Combine sets of button groups into button toolbars for more complex components. Use utility classes as needed to space out groups, buttons, and more.

        
            
        import React from "react";
        import { MDBBtn, MDBBtnGroup } from "mdbreact";

        const BtnGroupPage = () => {
          return (
            <div 
              className="btn-toolbar" 
              role="toolbar" 
              aria-label="Toolbar with button groups"
            >
              <MDBBtnGroup className="mr-2">
                <MDBBtn>1</MDBBtn>
                <MDBBtn>2</MDBBtn>
                <MDBBtn>3</MDBBtn>
                <MDBBtn>4</MDBBtn>
              </MDBBtnGroup>
              <MDBBtnGroup className="mr-2">
                <MDBBtn>5</MDBBtn>
                <MDBBtn>6</MDBBtn>
                <MDBBtn>7</MDBBtn>
              </MDBBtnGroup>
              <MDBBtnGroup>
                <MDBBtn>8</MDBBtn>
              </MDBBtnGroup>
            </div>
          )
        }

        export default BtnGroupPage;
        
        
    

Sizing

Instead of applying button sizing classes to every button in a group, just add size prop to each <MDBBtnGroup>, including each one when nesting multiple groups.

        
            
        import React from "react";
        import { MDBBtn, MDBBtnGroup, MDBCol, MDBRow } from "mdbreact";

        const BtnGroupPage = () => {
          return (
            <MDBRow>
              <MDBCol md='12' className="mb-4">
                <MDBBtnGroup size="lg">
                  <MDBBtn color="unique">Left</MDBBtn>
                  <MDBBtn color="unique">Middle</MDBBtn>
                  <MDBBtn color="unique">Right</MDBBtn>
                </MDBBtnGroup>
              </MDBCol>
              <MDBCol md='12' className="mb-4">
                <MDBBtnGroup>
                  <MDBBtn color="unique">Left</MDBBtn>
                  <MDBBtn color="unique">Middle</MDBBtn>
                  <MDBBtn color="unique">Right</MDBBtn>
                </MDBBtnGroup>
              </MDBCol>
              <MDBCol md='12' className="mb-4">
                <MDBBtnGroup size="sm">
                  <MDBBtn color="unique">Left</MDBBtn>
                  <MDBBtn color="unique">Middle</MDBBtn>
                  <MDBBtn color="unique">Right</MDBBtn>
                </MDBBtnGroup>
              </MDBCol>
            </MDBRow>
          )
        }

        export default BtnGroupPage;
        
        
    

Nesting

Place a <MDBBtnGroup> within another <MDBBtnGroup> when you want dropdown menus mixed with a series of buttons.

        
            
        import React from "react";
        import { 
          MDBBtn, 
          MDBBtnGroup, 
          MDBDropdown, 
          MDBDropdownToggle, 
          MDBDropdownMenu, 
          MDBDropdownItem 
        } from "mdbreact";

        const BtnGroupPage = () => {
          return (
            <MDBBtnGroup>
              <MDBBtn color="info" size="lg">1</MDBBtn>
              <MDBBtn color="info" size="lg">2</MDBBtn>
              <MDBBtnGroup>
                <MDBDropdown>
                  <MDBDropdownToggle caret color="info" className="h-100">
                    Dropdown
                  </MDBDropdownToggle>
                  <MDBDropdownMenu basic color="info">
                    <MDBDropdownItem>Dropdown link</MDBDropdownItem>
                    <MDBDropdownItem>Dropdown link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
              </MDBBtnGroup>
            </MDBBtnGroup>
          )
        }

        export default BtnGroupPage;
        
        
    

Vertical variation

Make a set of buttons appear vertically stacked rather than horizontally.

        
            
        import React from "react";
        import { 
          MDBBtn, 
          MDBBtnGroup, 
          MDBDropdown, 
          MDBDropdownToggle, 
          MDBDropdownMenu, 
          MDBDropdownItem, 
          MDBRow, 
          MDBCol, 
        } from "mdbreact";

        const BtnGroupPage = () => {
          return (
            <MDBRow center>
              <MDBCol xl="2" lg="3" md="4" className="mb-md-0 mb-4">
                <MDBBtnGroup vertical>
                  <MDBBtn color="amber" className="ml-0">Button</MDBBtn>
                  <MDBBtn color="amber">Button</MDBBtn>
                  <MDBBtn color="amber">Button</MDBBtn>
                  <MDBBtn color="amber">Button</MDBBtn>
                  <MDBBtn color="amber">Button</MDBBtn>
                  <MDBBtn color="amber">Button</MDBBtn>
                </MDBBtnGroup>
              </MDBCol>
              <MDBCol xl="2" lg="3" md="4">
                <MDBBtnGroup vertical>
                  <MDBBtn color="indigo" className="ml-0">Button</MDBBtn>
                  <MDBBtn color="indigo">Button</MDBBtn>

                  <MDBDropdown className="w-100">
                    <MDBDropdownToggle caret color="indigo" className="m-0">
                      Dropdown
                    </MDBDropdownToggle>
                    <MDBDropdownMenu basic color="info">
                      <MDBDropdownItem>Dropdown link</MDBDropdownItem>
                      <MDBDropdownItem>Dropdown link</MDBDropdownItem>
                    </MDBDropdownMenu>
                  </MDBDropdown>

                  <MDBBtn color="indigo">Button</MDBBtn>
                  <MDBBtn color="indigo">Button</MDBBtn>

                  <MDBDropdown className="w-100">
                    <MDBDropdownToggle caret color="indigo" className="m-0 rounded-0">
                      Dropdown
                    </MDBDropdownToggle>
                    <MDBDropdownMenu basic color="indigo">
                      <MDBDropdownItem>Dropdown link</MDBDropdownItem>
                      <MDBDropdownItem>Dropdown link</MDBDropdownItem>
                    </MDBDropdownMenu>
                  </MDBDropdown>
                  <MDBDropdown className="w-100">
                    <MDBDropdownToggle caret color="indigo" className="m-0 rounded-0">
                      Dropdown
                    </MDBDropdownToggle>
                    <MDBDropdownMenu basic color="indigo">
                      <MDBDropdownItem>Dropdown link</MDBDropdownItem>
                      <MDBDropdownItem>Dropdown link</MDBDropdownItem>
                    </MDBDropdownMenu>
                  </MDBDropdown>
                  <MDBDropdown className="w-100">
                    <MDBDropdownToggle caret color="indigo" className="m-0 rounded-0">
                      Dropdown
                    </MDBDropdownToggle>
                    <MDBDropdownMenu basic color="indigo">
                      <MDBDropdownItem>Dropdown link</MDBDropdownItem>
                      <MDBDropdownItem>Dropdown link</MDBDropdownItem>
                    </MDBDropdownMenu>
                  </MDBDropdown>

                </MDBBtnGroup>
              </MDBCol>
            </MDBRow>
          )
        }

        export default BtnGroupPage;

        
        
    

Multicolored button group

        
            

          import React from "react";
          import { 
            MDBBtn, 
            MDBBtnGroup, 
            MDBIcon, 
            MDBCol, 
            MDBRow 
          } from "mdbreact";

          const BtnGroupPage = () => {
            return (
              <MDBRow>
                <MDBCol xl="5" md="6" className="mb-xl-0 mb-4">

                  <MDBBtnGroup size="lg" className="mb-4">
                    <MDBBtn color="primary">Left</MDBBtn>
                    <MDBBtn color="warning">Left</MDBBtn>
                    <MDBBtn color="danger">Left</MDBBtn>
                  </MDBBtnGroup>

                  <MDBBtnGroup className="mb-4">
                    <MDBBtn color="primary">Left</MDBBtn>
                    <MDBBtn color="warning">Left</MDBBtn>
                    <MDBBtn color="danger">Left</MDBBtn>
                  </MDBBtnGroup>

                  <MDBBtnGroup size="sm" className="mb-4">
                    <MDBBtn color="primary">Left</MDBBtn>
                    <MDBBtn color="warning">Left</MDBBtn>
                    <MDBBtn color="danger">Left</MDBBtn>
                  </MDBBtnGroup>

                </MDBCol>

                <MDBCol xl="3" md="12" className="mb-xl-0 mb-4">
                  <MDBBtnGroup vertical>
                    <MDBBtn color="primary" className="ml-0">1</MDBBtn>
                    <MDBBtn color="pink">2</MDBBtn>
                    <MDBBtn color="success">3</MDBBtn>
                    <MDBBtn color="amber">4</MDBBtn>
                    <MDBBtn color="red">5</MDBBtn>
                  </MDBBtnGroup>
                </MDBCol>

                <MDBCol xl="4" md="12">
                  <div className="btn-toolbar mb-4" role="toolbar">
                    <MDBBtnGroup className="mr-2">
                      <MDBBtn color="mdb-color lighten-2">1</MDBBtn>
                      <MDBBtn color="indigo lighten-2">2</MDBBtn>
                      <MDBBtn color="blue lighten-2">3</MDBBtn>
                      <MDBBtn color="light-blue lighten-2">4</MDBBtn>
                      <MDBBtn color="cyan lighten-2">5</MDBBtn>
                    </MDBBtnGroup>
                  </div>
                  <div className="btn-toolbar" role="toolbar">
                    <MDBBtnGroup className="mr-2">
                      <MDBBtn color="indigo lighten-2">
                        <MDBIcon icon="star" />
                      </MDBBtn>
                      <MDBBtn color="blue lighten-2">
                        <MDBIcon icon="heart" />
                      </MDBBtn>
                      <MDBBtn color="light-blue lighten-2">
                        <MDBIcon icon="user" />
                      </MDBBtn>
                      <MDBBtn color="cyan lighten-2">
                        <MDBIcon fab icon="twitter" />
                      </MDBBtn>
                    </MDBBtnGroup>
                  </div>
                </MDBCol>

              </MDBRow>
            )
          }

          export default BtnGroupPage;
        
        
    

React Buttons Group - API

In this section you will find advanced information about the Buttons Group component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

ButtonsGroup is a wrapper component, which can be used to organize your buttons in groups.

        
            
          import {  MDBBadge, MDBChip, MDBChipsInput } from "mdbreact";
          
        
    

API Reference: Button Properties

The table below shows the configuration options of the MDBBtn component.

Name Type Default Description Example
action Boolean false Adds btn-action class, works with Cards <MDBBtn active >
active Boolean false Adds active class <MDBBtn active >
block Boolean false Create block level buttons <MDBBtn block >
circle Boolean false Adds btn-circle class, works with stepper <MDBBtn circle >
className String Adds custom classes <MDBBtn className="customClass" >
color String default Determines button color, accepts MDB predefined color classes <MDBBtn color="primary" >
disabled Boolean false Disables button from being clicked <MDBBtn disabled >
download String Adds download attribute with provided url <MDBBtn download="https://link_to_your_file.com" >
flat Boolean false Adds flat effect to button - button without backgorund and borders <MDBBtn flat >
floating Boolean false Adds floating effect to button <MDBBtn floating >
gradient String Adds gradient background to button, accepts MDB predefined gradients <MDBBtn gradient="peach" >
href String Adds href attribute with provided url and converts <button> tag into <a> tag <MDBBtn gradient="peach" >
innerRef Object Allows to pass Ref object, which will attach to rendered button or a DOM element <MDBBtn innerRef={this.buttonRef} >
outline Boolean false Renders button with outline, color property determines outline color <MDBBtn outline >
role String button Adds role attribute to button <MDBBtn role="..." >
rounded Boolean false Adds rounded corners effect to button <MDBBtn rounded >
size String medium Determines button size, available values: [sm, lg], medium by default <MDBBtn size="lg" >
social String Sets background color <MDBBtn social="fb" >
tag String button Changes default tag <MDBBtn tag="a" >
target String _self If used as link, sets target attribute <MDBBtn href="..." target="_blank" >
type String button Adds type attribute to button <MDBBtn type="submit" >

API Reference: ButtonsGroup Properties

The table below shows the configuration options of the MDBButtonsGroup component.

Name Type Default Description Example
className String Adds custom classes <MDBButtonsGroup className="customClass" >
role String group Change default component's role <MDBButtonsGroup role="group" >
size String medium Determines buttons size, available values: [sm, lg], medium by default <MDBButtonsGroup size="lg" >
vertical Boolean false Changes group orientation to vertical <MDBButtonsGroup vertical >